#!/usr/bin/perl -I/usr/sausalito/perl -I/usr/sausalito/handlers/base/disk
#
# $Id: clear_quota.pl,v 1.1.2.1 2002/03/30 01:18:46 pbaltz Exp $
# Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
#
# on destroy clear the user or group quota, because the filesystem remembers
# the quota if not reset for xfs.  This only really matters in a disaster
# recovery situation, but it doesn't hurt to do it all the time.
#
# This needs to run before the system account for the user or group gets
# removed, so we can look up the uid/gid with the account name.
#

use CCE;
use Disk;

my $cce = new CCE('Domain' => 'base-disk');
$cce->connectfd();

# this always runs on DESTROY, so always use the old object.
my $object = $cce->event_old();
my $oid = $cce->event_oid();

my $ok = Disk::setquota($cce, $object, $oid);
if (! $ok) {
	$cce->bye('FAIL');
	exit(1);
}

$cce->bye('SUCCESS');
exit(0);
