#!/usr/bin/perl -I/usr/sausalito/perl -I.
# $Id: df.pl,v 1.7 2001/09/15 05:35:19 pbaltz Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#
# original author: Kevin K.M. Chiu
# rewritten by: someone else
#
# There is no longer a System.Disk namespace, so now this runs on the 
# Disk.refresh property

use CCE;
use Base::Disk qw(disk_get_usage_info);

my $cce = new CCE('Domain' => 'base-disk');
$cce->connectfd();

my $disk = $cce->event_object();

# don't bother if the disk isn't mounted
if (not $disk->{mounted})
{
    $cce->bye('SUCCESS');
    exit(0);
}

# df.  use mountPoint in case it is a network file system
my $usage_info = disk_get_usage_info($disk->{mountPoint});

if ($usage_info == undef)
{
    $cce->bye('FAIL', '[[base-disk.cantExecuteDf]]');
    exit(1);
}

# write result to CCE
my ($ok) = $cce->set($cce->event_oid(), '', 
                {
                    'total' => $usage_info->{$disk->{device}}->{Total},
                    'used' => $usage_info->{$disk->{device}}->{Used}
                });

if(!$ok) 
{
    $cce->bye('FAIL', 'cantUpdateDiskInfo', { 'device' => $disk->{device} });
    exit(1);
}

$cce->bye('SUCCESS');
exit(0);
