#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: groupusage.pl,v 1.4 2001/09/15 05:35:19 pbaltz Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#
#

use CCE;
use Quota;
use Base::HomeDir;

my $cce = new CCE('Domain' => 'base-disk');
$cce->connectfd();

# get group
my $group = $cce->event_object();

# get group's gid
my $gid = getgrnam($group->{name});

my $home = ($group->{volume} ? $group->{volume} : $Base::HomeDir::HOME_ROOT);
my ($used) = Quota::query(Quota::getqcarg($home), $gid, 1);
 
my $oid = $cce->event_oid();
my ($ok, $badKeys, @info) = $cce->set($oid, 'Disk', {'used' => $used});

if(!$ok) 
{
    $cce->bye('FAIL', 'cantUpdateDiskUsage', { 'name' => $group->{name} });
    exit(1);
}

$cce->bye('SUCCESS');
exit(0);
