#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: servicequota_usage.pl,v 1.2 2001/11/08 23:29:27 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
# Update service quotas 

use CCE;
use Quota;

my $DEBUG = 0;
$DEBUG && open(STDERR, ">>/tmp/servicequota");
$DEBUG && warn `date`."$0\n";

my $cce = new CCE;
$cce->connectfd();

# return error string, null for success
my $err;

# find ServiceQuota objects
foreach my $oid ($cce->find('ServiceQuota'))
{
	$DEBUG && warn "Found ServiceQuota oid $oid\n";

	my($ok, $service) = $cce->get($oid);
	next unless ($ok);

	my($aok, $site) = $cce->get( 
		($cce->find('Vsite', {'name' => $service->{site}}))[0]
		);
	next unless ($aok);

	my $used = 0;
	if($service->{isgroup})
	{
		my $gid = getgrnam($service->{account});
		($used) = Quota::query(Quota::getqcarg($site->{volume}), 
			$gid, 1);
		$DEBUG && warn "Found group $gid usage $used for volume $site->{volume}\n";
	}
	else
	{
		my $pid = getpwnam($service->{account});
		($used) = Quota::query(Quota::getqcarg($site->{volume}), 
			$pid);
		$DEBUG && warn "Found user $pid usage $used for volume $site->{volume}\n";
	}

	$used ||= 0;
	($ok) = $cce->set($oid, '', {'used' => $used}) if ($used =~ /^\d+$/);
}

if($err) 
{
    $cce->bye('FAIL', $err);
    exit(1);
}

$cce->bye('SUCCESS');
exit(0);

