#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: userusage.pl,v 1.8 2001/09/15 05:35:19 pbaltz Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#
# Author: Kevin K.M. Chiu
#

use strict;
use CCE;
use Quota;

my $cce = new CCE('Domain' => 'base-disk');
$cce->connectfd();

# get user
my $user = $cce->event_object();

# get user's uid
my $uid = getpwnam($user->{name});

my ($used) = Quota::query(Quota::getqcarg($user->{volume}), $uid);
 
my $oid = $cce->event_oid();
my ($ok, $badKeys, @info) = $cce->set($oid, 'Disk', {'used' => $used});

if(!$ok) {
    $cce->bye('FAIL', 'cantUpdateDiskUsage', { 'name' => $user->{name} });
    exit(1);
}

$cce->bye('SUCCESS');
exit(0);
