#!/usr/bin/perl -I /usr/sausalito/handlers/base/disk -I /usr/sausalito/perl
# 
# $Id: disk_restorequotas.pl,v 1.1 2001/10/31 00:13:49 bservies Exp $
#
# Copyright 2001 Sun Microsystems, Inc., All Rights Reserved
#

use Disk qw(setquota);
use CCE;

sub cce_sync_site_quotas {
	my ($cce) = @_;
	my (@oids, $obj, $ok, $old, $new);

	# Get the list of virtual site quotas from CCE
	@oids = $cce->find('Vsite');

	# Push this information out to the file system
	foreach $oid (@oids) {
		# Get the quota information for this site
	        ($ok, $obj, $old, $new) = $cce->get($oid);
		if ($ok) {
			# Sync the quota.  Ignore the errors
			setquota($cce, $obj, $oid);
		}
	}
	return 1;
}


sub cce_sync_user_quotas {
	my ($cce) = @_;
	my (@oids, $obj, $ok, $old, $new);

	# Get the list of virtual site quotas from CCE
	@oids = $cce->find('User');

	# Push this information out to the file system
	foreach $oid (@oids) {
		# Get the quota information for this site
	        ($ok, $obj, $old, $new) = $cce->get($oid);
		if ($ok) {
			# Sync the quota.  Ignore the errors
			setquota($cce, $obj, $oid);
		}
	}
	return 1;
}


#
# Main
#

my $ok;

# Open a connection to CCE
my $cce = new CCE;
$cce->connectuds();

# Fix the site quotas
$ok = cce_sync_site_quotas($cce);
if (! $ok) {
	$cce->bye('FAIL');
	exit(1);
}

# Fix the user quotas
$ok = cce_sync_user_quotas($cce);
if (! $ok) {
	$cce->bye('FAIL');
	exit(1);
}

$cce->bye('SUCCESS');
exit 0;
